Subject: Dub vs Sub
From: "Don Wang" <[email-masked]>
To: <[email-masked]>
Date: Thu, 20 Sep 2001 23:11:25 -0700

Ed:
> Can anyone tell me why everyone seems to hate the Ranma dubs? I
> personally think they're awesome, except for the fact that a girl plays
> guy-type Ranma's voice.

    Everyone should know that I'm on the dub side by now.

    I admit sometimes the voice isn't the best out there, but I'm a little
tired of Japanese voice acting which can be abstracted into about 3 or 4
stereotypes for just about any Anime out there.

    Sure, the US counterparts may not have as much training, but they do
have personality... although sometimes not in the way it's originally
intended.  :)

Don, averaging one elite Unique/Set per day recently.  Just need a Windforce
to complete my collection of uber uniques (though I traded away a
Grandfather for Tal Armor + Shaefer's Hammer)